server:
  port: 8000
spring:
  datasource:
    driver-class-name: org.h2.Driver
    url: jdbc:h2:mem:db_heimdall;DB_CLOSE_DELAY=-1
    username: ENC(xvU7RzHfOQX2AN07Rv/dBJM1hPg6OosbPqQkRSUzFU2hbsozWhqzCzYVCx9fWG/h)
    password: ENC(xvU7RzHfOQX2AN07Rv/dBJM1hPg6OosbPqQkRSUzFU2hbsozWhqzCzYVCx9fWG/h)
  h2:
    console:
      enabled: true
  jpa:
    database-platform: org.hibernate.dialect.H2Dialect
    open-in-view: true
logging:
  level:
    fr.jihadoussad.heimdall: debug

# ===============================
# = JASYPT
# ===============================

jasypt:
  encryptor:
    password: dev_passw0rd

# ===============================
# = properties
# ===============================

heimdall.priv.key.path: ENC(7Glm1b0gAXsjDyIbpcU4q7n4aw9brZ/A0RqM7mmREyhIO3xKu/XZcYzRfGBxj616ASh8gGXv0gdI7yV/69ztCTSjFuDMTm7czGp1w3ap2k4=)
heimdall.signup.url: /register/app
heimdall.signin.url: /oauth2/heimdall/accessToken
heimdall.public.url: /oauth2/heimdall/checkToken
